<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY % html "IGNORE">
<![%html;[
<!ENTITY % print "IGNORE">
<!ENTITY docbook.dsl SYSTEM "/usr/share/sgml/docbook/dsssl-stylesheets/html/docbook.dsl" CDATA dsssl>
]]>
<!ENTITY % print "INCLUDE">
<![%print;[
<!ENTITY docbook.dsl SYSTEM "/usr/share/sgml/docbook/dsssl-stylesheets/print/docbook.dsl" CDATA dsssl>
]]>
<!ENTITY Chapter "">
<!ENTITY chapter "">
<!ENTITY chapter.abr "">
<!ENTITY Chapter.abr "">
<!ENTITY Part "">
<!ENTITY part "">
<!ENTITY Part.abr "">
<!ENTITY part.abr "">
<!ENTITY % ru.words SYSTEM "/usr/share/sgml/docbook/dsssl-stylesheets/common/dbl1ru.ent">
%ru.words;
]>


<!--
;; ====================
;; customize common stylesheet
;; ====================
-->
<style-sheet>
<style-specification id="common" use="docbook">
<style-specification-body> 
(define generator-version "MODIFIED UNIXCENTER DSSSL-STYLESHEET (www.unixcenter.ru)")
;;
;; 
;;
(define %default-language% "ru")
(define %gentext-language% "ru")
(define %gentext-use-xref-lang% "ru")
;;
;; 
;;
(define rtf #t)
(define tex #t)
(define html #f)

(define *output-type*
  (cond 
   (rtf "tex")
   (tex "tex")
   (else #f)))
   
;; URWGothicL
;; URWBookmanL
;; NimbusMonL
;; NimbusSanL
;; CenturySchL
;; URWPalladioL
;; NimbusRomNo9L
;; URWChanceryL


(define %title-font-family%
  (case  *output-type*
    (("rtf") "Arial")
    (("tex") "URWGothicL")
    (("tex") "sfsl")
    ( else  "Arial")))

(define %refentry-name-font-family%
  (case  *output-type*
    (("rtf") "Arial")
    (("tex") "NimbusSanL")
    ( else  "Arial")))

(define %body-font-family%
  (case  *output-type*
    (("rtf") "Times New Roman")
    (("tex") "CenturySchL")
    ( else  "Times")))

(define %mono-font-family%
  (case  *output-type*
    (("rtf") "Courier New")
    (("tex") "NimbusMonL")
    ( else  "Courier")))

(define %admon-font-family% 
  (case  *output-type*
    (("rtf") "Arial Narrow")
    (("tex") "NimbusSanL")
    ( else  "Arial")))

(define %guilabel-font-family%
  (case  *output-type*
    (("rtf") "Arial")
    (("tex") "URWBookmanL")
    ( else  "Arial")))

(define preferred-mediaobject-notations
    (list "PDF" "EPS" "GIF" "PNG" "linespecific"))
  
(define preferred-mediaobject-extensions
    (list "pdf" "eps" "gif" "png"))
    
;;
;; 
;;
(define %funcsynopsis-decoration% #t)
(define %admon-graphics-path% "./stylesheet-images/")
(define %admon-graphics% #t)

(define %admon-graphic-default-extension% %graphic-default-extension%) 

(define ($admon-graphic$ #!optional (nd (current-node)))
  (cond ((equal? (gi nd) (normalize "tip"))
 (string-append %admon-graphics-path% "tip." %graphic-default-extension%))
((equal? (gi nd) (normalize "note"))
 (string-append %admon-graphics-path% "note." %graphic-default-extension%))
((equal? (gi nd) (normalize "important"))
 (string-append %admon-graphics-path% "important." %graphic-default-extension%))
((equal? (gi nd) (normalize "caution"))
 (string-append %admon-graphics-path% "caution."  %graphic-default-extension%))
((equal? (gi nd) (normalize "warning"))
 (string-append %admon-graphics-path% "warning." %graphic-default-extension%))
(else (error (string-append (gi nd) " is not an admonition.")))))

;(define ($admon-graphic-width$ #!optional (nd (current-node)))
;  0.3in)

;;
;; 
;;
(define (ru-element-name)
  (list
   (list (normalize "abstract")         "&Abstract;")
   (list (normalize "answer")           "&Answer;")
   (list (normalize "appendix")         "&Appendix;")
   (list (normalize "article")          "&Article;")
   (list (normalize "bibliography")     "&Bibliography;")
   (list (normalize "book")             "&Book;")
   (list (normalize "calloutlist")      "")
   (list (normalize "caution")          "&Caution;")
   (list (normalize "chapter")          "&Chapter;")
   (list (normalize "copyright")        "&Copyright;")
   (list (normalize "dedication")       "&Dedication;")
   (list (normalize "edition")          "&Edition;")
   (list (normalize "equation")         "&Equation;")
   (list (normalize "example")          "&Example;")
   (list (normalize "figure")           "&Figure;")
   (list (normalize "glossary")         "&Glossary;")
   (list (normalize "glosssee")         "&GlossSee;")
   (list (normalize "glossseealso")     "&GlossSeeAlso;")
   (list (normalize "important")        "&Important;")
   (list (normalize "index")            "&Index;")
   (list (normalize "colophon")         "&Colophon;")
   (list (normalize "setindex")         "&SetIndex;")
   (list (normalize "isbn")             "&isbn;")
   (list (normalize "legalnotice")      "&LegalNotice;")
   (list (normalize "msgaud")           "&MsgAud;")
   (list (normalize "msglevel")         "&MsgLevel;")
   (list (normalize "msgorig")          "&MsgOrig;")
   (list (normalize "note")             "&Note;")
   (list (normalize "part")             "&Part;")
   (list (normalize "preface")          "&Preface;")
   (list (normalize "procedure")        "&Procedure;")
   (list (normalize "pubdate")          "&Published;")
   (list (normalize "question")         "&Question;")
   (list (normalize "refentry")         "&RefEntry;")
   (list (normalize "reference")        "&Reference;")
   (list (normalize "refname")          "&RefName;")
   (list (normalize "revhistory")       "&RevHistory;")
   (list (normalize "refsect1")         "&RefSection;")
   (list (normalize "refsect2")         "&RefSection;")
   (list (normalize "refsect3")         "&RefSection;")
   (list (normalize "refsynopsisdiv")   "&RefSynopsisDiv;")
   (list (normalize "revision")         "&Revision;")
   (list (normalize "sect1")            "&Section;")
   (list (normalize "sect2")            "&Section;")
   (list (normalize "sect3")            "&Section;")
   (list (normalize "sect4")            "&Section;")
   (list (normalize "sect5")            "&Section;")
   (list (normalize "section")          "&Section;")
   (list (normalize "simplesect")       "&Section;")
   (list (normalize "seeie")            "&See;")
   (list (normalize "seealsoie")        "&Seealso;")
   (list (normalize "set")              "&Set;")
   (list (normalize "sidebar")          "&Sidebar;")
   (list (normalize "step")             "&step;")
   (list (normalize "table")            "&Table;")
   (list (normalize "tip")              "&Tip;")
   (list (normalize "toc")              "&TableofContents;")
   (list (normalize "warning")          "&Warning;")
   ))
;;
;; 
;;
(define (ru-xref-strings)
  (list (list (normalize "appendix")    (if %chapter-autolabel%
                                            "&Appendix.abr; %n"
                                            "&Appendix.abr; %t"))
        (list (normalize "article")     (string-append %gentext-ru-start-quote%
                                                       "%t"
                                                       %gentext-ru-end-quote%))
        (list (normalize "bibliography") "%t")
        (list (normalize "book")        "%t")
        (list (normalize "chapter")     (if %chapter-autolabel%
                                            "&Chapter.abr; %n"
                                            "&Chapter.abr; %t"))
        (list (normalize "equation")    "&Equation.abr; %n")
        (list (normalize "example")     "&Example.abr; %n")
        (list (normalize "figure")      "&Figure.abr; %n")
        (list (normalize "glossary")    "%t")
        (list (normalize "index")       "%t")
        (list (normalize "listitem")    "%n")
        (list (normalize "part")        "&Part.abr; %n")
        (list (normalize "preface")     "%t")
        (list (normalize "procedure")   "&Procedure.abr; %n, %t")
        (list (normalize "reference")   "&Reference; %n, %t")
        (list (normalize "section")     (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sect1")       (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sect2")       (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sect3")       (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sect4")       (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sect5")       (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "simplesect")  (if %section-autolabel%
                                            "&Section.abr; %n"
                                            "&Section.abr; %t"))
        (list (normalize "sidebar")     "&sidebar; %t")
        (list (normalize "step")        "&step; %n")
        (list (normalize "table")       "&Table.abr; %n")))

</style-specification-body>
  </style-specification>


<style-specification id="print" use="common">
<style-specification-body> 
;;
;;  
;;

(declare-characteristic preserve-sdata?
          "UNREGISTERED::James Clark//Characteristic::preserve-sdata?"
          #f)
(define %show-ulinks%
  #t)

(define %footnote-ulinks%
  #f)

;;
;; 
;;

(define ($page-header-rule$) 
	    (make rule
	    ;orientation: 'horizontal
	    line-thickness: 0.1pt
	    ;display-alignment: 'center
	    length: %text-width%
	    layer: 0
	    keep-with-previous?: #t
	    ;start-indent: 0mm
	    ))

(define ($page-footer-rule$) 
	    (make rule
	    line-thickness: 1pt
	    space-before: 0pt
	    space-after: 0pt
	    start-indent: 0pt
	    length: %text-width%
	    layer: 0
	    ))

(define (page-center-header gi) 
	    ($title-header-footer$)
	)

(define (page-inner-header gi) 
	    (empty-sosofo)
	)    

	
(define (page-outer-header gi) 
	(make box
	    display?: #t	
	    box-type: 'border
	    line-thickness: 0.5mm
	    start-indent: 0mm
	    end-indent: 0mm
	    ($page-number-header-footer$)
	))


(define (first-page-center-header gi)
	    (empty-sosofo)
	)
(define (first-page-inner-header gi) 
	    (empty-sosofo)
	)    
(define (first-page-outer-header gi)
	    (page-outer-header gi)
	)
 
	

(define (page-inner-footer gi) 
	    (empty-sosofo))
(define (page-outer-footer gi) 
	    (empty-sosofo))
(define (page-center-footer gi) 
	(make sequence
	font-posture: 'italic
	($page-footer-rule$)
	(literal "ALTLinux Team (www.altlinux.ru)")
	))

(define (first-page-inner-footer gi) 
	    (empty-sosofo))
(define (first-page-outer-footer gi) 
	    (empty-sosofo))
(define (first-page-center-footer gi)
	    (page-center-footer gi)
	)

;;
;; 
;;

(define bop-footnotes #t)



;;
;; 
;;

; Default for VALIGN if unspecified
;;;    (define ($cals-valign-default$) (normalize "center"))

; Margins around cell contents
;;;    (define %cals-cell-before-row-margin% 1mm)
;;;    (define %cals-cell-after-row-margin% 1mm)

; seems to be a bug in JadeTeX -- we get a wierd indent on table
;   cells for the first line only.  This is a workaround.
; Adam Di Carlo, adam@onshore.com
;;;    (define %cals-cell-before-column-margin%
;;;      (cond ((equal? (print-backend) 'tex) 2mm)
;;;    	(else 1mm)))

;;;    (define %cals-cell-after-column-margin% 1mm)

; Inheritable start and end indent for cell contents
;;;    (define %cals-cell-content-start-indent% 1mm)
;;;    (define %cals-cell-content-end-indent% 1mm)

; How to indent pgwide tables?  (Non-pgwide tables get inherited-start-indent
;;;    (define %cals-pgwide-start-indent% %body-start-indent%)

; What alignment should tables have on the page
;;;(define %cals-display-align% 'center)

; Table rule widths

(define %table-before-row-border% 0.5mm)
(define %table-after-row-border% 0.5mm)
(define %table-before-column-border% 0.5mm)
(define %table-after-column-border% 0.5mm)
(define %table-head-body-border% 1mm)
(define %table-cell-after-column-border% 0.5mm)
(define %table-cell-after-row-border% 0.5mm)

;(define tbl-color-space
;  (color-space "ISO/IEC 10179:1996//Color-Space Family::Device RGB"))
;
;(define tbl-red (color tbl-color-space 1 0 0))
;(define tbl-green (color tbl-color-space 0 1 0))
;(define tbl-blue (color tbl-color-space 0 0 1))

;;
;; 
;;
(define (toc-depth nd)
  (if (string=? (gi nd) "BOOK")
      6
      6))

;;Do you want enumerated sections? (E.g, 1.1, 1.1.1, 1.2, etc.)
    (define %section-autolabel% #t)

;;Do you want chapters enumerated?
    (define %chapter-autolabel% #t)

;;
;; 
;;

;;Do you want Chapter's and Appendix's
;;to have automatic labels?
(define %chap-app-running-head-autolabel% #t)
(define %chap-app-running-heads% #t)

;;
;;   
;;

(define %generate-book-titlepage% #t)
(define %generate-part-titlepage% #t)
(define %generate-article-titlepage-on-separate-page% #t)
(define %generate-chapter-titlepage-on-separate-page% #t)

(define %generate-book-toc% #t)
(define %generate-book-lot-list% '())
(define %generate-part-toc% #t)
(define %generate-set-toc% #t)
(define %generate-article-toc% #t)
(define %generate-chapter-toc% #t)

;;What elements should have a LOT?
(define ($generate-book-lot-list$)
  (list (normalize "figure")))

(define %generate-article-toc-on-titlepage% #t)

;;Do you want the part toc on the part titlepage or separate?
    (define %generate-part-toc-on-titlepage% #t)

;;Do you want the Part intro on the part title page?
(define %generate-partintro-on-titlepage% #t)
;;
;;  
;;
(define %visual-acuity% "normal")
(define %hsize-bump-factor% 1.1)
(define %smaller-size-factor% 0.9)
(define %ss-size-factor% 0.6)
(define %ss-shift-factor% 0.4)
(define %verbatim-size-factor% 0.9)
(define %footnote-size-factor% 0.9)

;;
;;   
;;
(define (book-titlepage-recto-elements)
  (list (normalize "title")
      (normalize "subtitle")
      (normalize "graphic")
      (normalize "mediaobject")
      (normalize "corpauthor")
      (normalize "authorgroup")
      (normalize "author")
      (normalize "editor")))

(define book-titlepage-recto-style
  (style
    font-family-name: "URWGothicL"
    font-weight: 'bold
    font-size: 10mm))

(define (book-titlepage-mediaobject node side)
  (make external-graphic
;;      notation-system-id: "pdf"
      entity-system-id: (string-append "images/alt-logo." %graphic-default-extension%)
      display?: #t
      space-before: 40mm
      display-alignment: 'center))
 ;;(book-titlepage-element node side))
  
(mode book-titlepage-recto-mode
    (element title
    (make paragraph
	font-family-name:	"NimbusSanL"
	font-weight:		'bold
        font-size:		10mm
	space-before:		20mm
	line-spacing:		10mm
	space-after:		60mm
	quadding:		'end
	heading-level:		(if %generate-heading-level% 1 0)
;	(make rule
;	  space-after: 20mm
;	  line-thickness: 2mm)
	 (process-children)
	)
    )
    (element subtitle
    (make paragraph
	use: book-titlepage-recto-style
	font-size: (HSIZE 6)
	line-spacing: (* (HSIZE 6) 1)
	space-before: (* (HSIZE 6) 1)
;;	space-after: (* (HSIZE 6) 6)
	quadding: 'center
	;;%division-subtitle-quadding%
	keep-with-next?: #t
	(process-children-trim)))
)
;;
;;  /
;;
(define %paper-type% "A4")
(define %two-side% #t)
(define %writing-mode% 'left-to-right)
(define %page-n-columns% 1)
(define %page-column-sep% 0.5in)
(define %page-balance-columns?% #f)
(define %left-margin% 20mm)
(define %right-margin% 5mm)
(define %top-margin% 20mm)
(define %bottom-margin% 16mm)
(define %header-margin% 10mm)
(define %footer-margin% 10mm)
;;
;;  
;;
(define %page-number-restart% #f)
(define %page-number-format% 1)
;;
;; 
;;
(define %quadding% #t)

(define %default-quadding% 'start)
(define %division-title-quadding% 'end)
(define %division-subtitle-quadding% 'center)
(define %component-title-quadding% 'justify)
(define %component-subtitle-quadding% 'start)
(define %article-title-quadding% 'center)
(define %article-subtitle-quadding% 'center)
(define %section-title-quadding% 'start)
(define %section-subtitle-quadding% 'start)
;;
;; 
;;
(define %body-start-indent% 0mm)
(define %block-start-indent% 10mm)
(define %para-indent% 5mm)
(define %para-indent-firstpara% 5mm)
;;
;; 
;;
(define formal-object-float #f)
;;
;; 
;;
(define %hyphenation?% #t)
(define %hyphenation% #t)
(define %language% 'RU)
;;
;;  
;;
(element COMMENT (empty-sosofo))
(element TITLEABBREV (empty-sosofo))
(element SUBTITLE (empty-sosofo))
(element SETINFO (empty-sosofo))
(element BOOKINFO (empty-sosofo))
(element BIBLIOENTRY (empty-sosofo))
(element BIBLIOMISC (empty-sosofo))
(element BOOKBIBLIO (empty-sosofo))
(element SERIESINFO (empty-sosofo))
(element DOCINFO (empty-sosofo))
(element ARTHEADER (empty-sosofo))
(element ADDRESS (empty-sosofo))
;;
;; 
;;
(element application ($mono-seq$))
(element command ($bold-seq$))
(element filename ($mono-seq$))
(element function ($mono-seq$))
(element guibutton ($bold-seq$))
(element guiicon ($bold-seq$))
(element guilabel ($italic-seq$))
(element guimenu ($bold-seq$))
(element guimenuitem ($bold-seq$))
(element hardware ($bold-mono-seq$))
(element keycap ($bold-seq$))
(element literal ($mono-seq$))
(element parameter ($italic-mono-seq$))
(element prompt ($mono-seq$))
(element symbol ($charseq$))
(element emphasis ($italic-seq$))

;;;;;;;;; optional including comments
;(element COMMENT
;	 (let ((hs (HSIZE 2))
;	       )
;	   (make box
;		 display?: #t
;		 box-type: 'border
;		 line-thickness: 2pt
;		 start-indent: (+ (inherited-start-indent) (* 2 (ILSTEP)) 2pt)
;		 end-indent: (inherited-end-indent)
;		 (make sequence
;		     ;;  space-before: %para-sep%
;		     ;;  space-after: %para-sep%
;		      ; start-indent: 1em
;		      ; end-indent: 1em
;		      ; font-family-name: %title-font-family%
;		      ; font-weight: 'bold
;		      ; font-size: hs
;		      ; line-spacing: (* hs %line-spacing-factor%)
;		      ; quadding: 'center
;		     ;;  keep-with-next?: #t
;		       (literal ": ")
;		       (process-children))
;		 )))


</style-specification-body>
  </style-specification>

<!--
;; ====================
;; customize the html stylesheet
;; ====================
-->
<style-specification id="html" use="common">
<style-specification-body> 

;; this is necessary because right now jadetex does not understand
;; symbolic entities, whereas things work well with numeric entities.
(declare-characteristic preserve-sdata?
      "UNREGISTERED::James Clark//Characteristic::preserve-sdata?" #f)

;;=========================
;;Common Stuff
;;=========================

;;Should there be a link to the legalnotice?
(define %generate-legalnotice-link% #t)
  
;;Use element ids as filenames?
(define %use-id-as-filename% #t)

;;=========================
;;Book Stuff
;;=========================

;;Do you want a TOC for Books?
(define %generate-book-toc%
  #t)
  
;;What depth should the TOC generate?
;;!Only top level of appendixes!
  (define (toc-depth nd)
    (if (string=? (gi nd) (normalize "book"))
    3
    (if (string=? (gi nd) (normalize "appendix"))
    0
    1)))

;;What elements should have an LOT?
    (define ($generate-book-lot-list$)
	(list (normalize "equation")))
;;Do you want a title page for your Book?
    (define %generate-book-titlepage% #t)
;;
;;    
;;
(define (book-titlepage-recto-elements)
  (list (normalize "title")
      (normalize "subtitle")
      (normalize "graphic")
;;      (normalize "mediaobject")
      (normalize "corpauthor")
      (normalize "authorgroup")
      (normalize "author")
      (normalize "editor")
      (normalize "copyright")
      (normalize "abstract")
      (normalize "legalnotice")))

;;=========================
;;Part Stuff
;;=========================

;;Should parts have TOCs?
(define %generate-part-toc%
  #t)
  
;;Should part TOCs be on their titlepages?
    (define %generate-part-toc-on-titlepage% #t)
;;Do you want a title page for your part?
    (define %generate-part-titlepage% #t)
;;Should the Part intro be on the part title page?
    (define %generate-partintro-on-titlepage% #t)
;;========================
;;Chapter Stuff
;;=======================
;;No TOCs in Chapters
    (define $generate-chapter-toc$ (lambda () #t))

;;=========================
;;Navigation
;;=========================

;;Should there be navigation at top?
    (define %header-navigation% #t)
 
;;Should there be navigation at bottom?
    (define %footer-navigation% #t)
 
;;Use tables to create the navigation?
    (define %gentext-nav-use-tables% #t)
    
;;If tables are used for navigation,
;;how wide should they be?
    (define %gentext-nav-tblwidth% "100%")
    
;;Add arrows to navigation (comment these
;;out if you want admon graphics here)
    (define (gentext-ru-nav-prev prev)
	(make sequence (literal "")))

;;Add arrows to navigation (comment these
;;out if you want admon graphics here)
    (define (gentext-ru-nav-next next)
	(make sequence (literal "")))

;;Add arrows to navigation (comment these
;;out if you want admon graphics here)
    (define (gentext-ru-nav-home home)
	(make sequence (literal "")))
;;=========================
;;Tables and Lists
;;=========================

;;Should Variable lists be tables?
(define %always-format-variablelist-as-table%
 #t)

;;What is the length of the 'Term' in a variablelist?
(define %default-variablelist-termlength%
  20)

;;When true | If the terms are shorter than
;;the termlength above then the variablelist
;;will be formatted as a table.
(define %may-format-variablelist-as-table%
#f)

;;This overrides the tgroup definition
;;(copied from 1.20, dbtable.dsl).
;;It changes the table background color,
;;cell spacing and cell padding.
;;This is based on gtk-doc additions - thanks!

(element tgroup
  (let* ((wrapper   (parent (current-node)))
         (frameattr (attribute-string (normalize "frame") wrapper))
         (pgwide    (attribute-string (normalize "pgwide") wrapper))
         (footnotes (select-elements (descendants (current-node))
                                     (normalize "footnote")))
         (border (if (equal? frameattr (normalize "none"))
                     '(("BORDER" "0"))
                     '(("BORDER" "1"))))
         (bgcolor '(("BGCOLOR" "#E0E0E0")))
         (width (if (equal? pgwide "1")
                    (list (list "WIDTH" ($table-width$)))
                    '()))
         (head (select-elements (children (current-node)) (normalize "thead")))
         (body (select-elements (children (current-node)) (normalize "tbody")))
         (feet (select-elements (children (current-node)) (normalize "tfoot"))))
    (make element gi: "TABLE"
          attributes: (append
                       border
                       width
                       bgcolor
                       '(("CELLSPACING" "0"))
                       '(("CELLPADDING" "4"))
                       (if %cals-table-class%
                           (list (list "CLASS" %cals-table-class%))
                           '()))
          (process-node-list head)
          (process-node-list body)
          (process-node-list feet)
          (make-table-endnotes))))

;;=========================
;;Labels
;;=========================

 ;;Enumerate Chapters?
(define %chapter-autolabel% #t)

;;Enumerate Sections?
(define %section-autolabel% #f)

;;Do you want Chapter's and Appendix's
;;to have automatic labels?
(define %chap-app-running-head-autolabel% #t)
(define %chap-app-running-heads% #t)

;;=========================
;;    HTML Attributes
;;=========================

;;What attributes should be hung off
;;of 'body'?
(define %body-attr%
(list
(list "BGCOLOR" "#FFFFFF")
(list "TEXT" "#000000")
(list "LINK" "#0000FF")
(list "VLINK" "#840084")
(list "ALINK" "#0000FF")))

;;Default extension for filenames?
(define %html-ext% ".html")

;;Use a CSS stylesheet?
;;Which one? Should work on
;;this one soon
(define %stylesheet% "unixcenter.css")

;;=================
;;    INLINES
;;=================

;Define my own series of fonts for various elements
(element application ($mono-seq$))
(element command ($bold-seq$))
(element filename ($mono-seq$))
(element function ($mono-seq$))
(element guibutton ($bold-seq$))
(element guiicon ($bold-seq$))
(element guilabel ($bold-mono-seq$))
(element guimenu ($bold-seq$))
(element guimenuitem ($bold-seq$))
(element guisubmenu ($bold-seq$))
(element hardware ($bold-mono-seq$))
(element keycap ($bold-seq$))
(element literal ($mono-seq$))
(element parameter ($italic-mono-seq$))
(element prompt ($mono-seq$))
(element symbol ($charseq$))
(element emphasis ($italic-seq$))

;;====================
;; General Formatting
;;====================

;;Formal Paras are ugly by default!
;;Make the title run in - otherwise
;;you should use a sect!

(element formalpara
  (make element gi: "DIV"
  attributes: (list
   (list "CLASS" (gi)))
   (make element gi: "P"
    (process-children))))
;;This is the old one (element (formalpara title) ($lowtitle$ 5))
    (element (formalpara title)
    (make element gi: "B"
    ($runinhead$)))
;;make captions come after objects in the list
    (define ($object-titles-after$)
    (list (normalize "figure")))

;;Literal Elements
;;Indent Literal layouts?
    (define %indent-literallayout-lines% #f)
;;Indent Programlistings?
    (define %indent-programlisting-lines% #f)
;;Number lines in Programlistings?
    (define %number-programlisting-lines% #f)
;;Should verbatim items be 'shaded' with a table?
    (define %shade-verbatim% #t)
;;Define shade-verbatim attributes
    (define ($shade-verbatim-attr$)
    (list
	(list "BORDER" "0")
	(list "BGCOLOR" "#E0E0E0")
	(list "WIDTH" ($table-width$))))
;;===================
;;    Entities
;;===================

;;Netscape doesn't handle trademark
;;entity right at all!! Get rid of it.
;;Make a TM in a superscipt font.

(element trademark
 (make sequence
  (process-children)
  (make element gi: "sup"
  (literal "TM"))))
(define (chunk-element-list)
  (list (normalize "preface")
  (normalize "chapter")
  (normalize "appendix")
  (normalize "article")
  (normalize "glossary")
  (normalize "bibliography")
  (normalize "index")
  (normalize "colophon")
  (normalize "setindex")
  (normalize "reference")
  (normalize "refentry")
  (normalize "part")
  (normalize "sect1")
  (normalize "section")
  (normalize "book") ;; just in case nothing else matches...
  (normalize "set")  ;; sets are definitely chunks...
))	      	

</style-specification-body>
</style-specification>

<external-specification id="docbook" document="docbook.dsl">

</style-sheet>

